Get Wikipedia on-this-day entries Get selected Wikipedia anniversaries, births, deaths, events or holidays for a month and day.
GET /v1/wikipedia/on-this-day
x-api-key* string header
API key (`sfk_...`)
month* integer required query
Month, 1 to 12.
≥ 1 · ≤ 12
day* integer required query
Day of the month, 1 to 31.
≥ 1 · ≤ 31
lang string optional query
Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.
type string optional query
`selected`, `births`, `deaths`, `events`, `holidays` or `all` (default). Each type can be several MB, and `all` returns every type at once.
one of: selected, births, deaths, events, holidays, all
Response fields 186 Expand all Collapse all Collapse all Endpoint-specific response payload.
Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.
Which entries were requested.
one of: selected, births, deaths, events, holidays, all
Selected anniversaries, when requested.
data . selected [] . text
string
The event, birth, death, holiday or news text.
data . selected [] . year
integer nullable
Year, when the entry has one.
data . selected [] . pages [] . type
string nullable
Page kind, e.g. `standard`, `disambiguation`, `no-extract` or `mainpage`.
data . selected [] . pages [] . title
string
Title with underscores.
data . selected [] . pages [] . displayTitle
string nullable
Title with display markup.
data . selected [] . pages [] . namespace object nullable
Namespace reference.
data . selected [] . pages [] . namespace . id
integer
Namespace id.
data . selected [] . pages [] . namespace . text
string
Namespace name, empty for main articles.
data . selected [] . pages [] . wikibaseItem
string nullable
Wikidata entity id, e.g. `Q937`.
data . selected [] . pages [] . titles object
The title in its canonical, normalised and display forms.
data . selected [] . pages [] . titles . canonical
string nullable
Canonical title form.
data . selected [] . pages [] . titles . normalized
string nullable
Normalised title form.
data . selected [] . pages [] . titles . display
string nullable
Display title form.
data . selected [] . pages [] . pageId
integer nullable
Page id.
data . selected [] . pages [] . thumbnail object nullable
An image URL and its natural size.
data . selected [] . pages [] . thumbnail . source
string
Image URL. The file host may add its own tracking parameters.
data . selected [] . pages [] . thumbnail . width
integer nullable
Width in pixels.
data . selected [] . pages [] . thumbnail . height
integer nullable
Height in pixels.
data . selected [] . pages [] . originalImage object nullable
An image URL and its natural size.
data . selected [] . pages [] . originalImage . source
string
Image URL. The file host may add its own tracking parameters.
data . selected [] . pages [] . originalImage . width
integer nullable
Width in pixels.
data . selected [] . pages [] . originalImage . height
integer nullable
Height in pixels.
data . selected [] . pages [] . lang
string nullable
Edition code.
data . selected [] . pages [] . dir
string nullable
Writing direction of the edition.
data . selected [] . pages [] . revision
string nullable
Latest revision id.
data . selected [] . pages [] . tid
string nullable
Opaque page state marker.
data . selected [] . pages [] . timestamp
string nullable
Latest revision time, ISO 8601.
data . selected [] . pages [] . description
string nullable
Short description.
data . selected [] . pages [] . descriptionSource
string nullable
Where the description comes from.
one of: local, central, null
data . selected [] . pages [] . contentUrls
object
Desktop and mobile URLs for the page and its actions.
data . selected [] . pages [] . extract
string nullable
Plain-text lead.
data . selected [] . pages [] . extractHtml
string nullable
Lead as HTML.
data . selected [] . pages [] . normalizedTitle
string nullable
Title without underscores.
The event, birth, death, holiday or news text.
data . births [] . year
integer nullable
Year, when the entry has one.
data . births [] . pages [] . type
string nullable
Page kind, e.g. `standard`, `disambiguation`, `no-extract` or `mainpage`.
data . births [] . pages [] . title
string
Title with underscores.
data . births [] . pages [] . displayTitle
string nullable
Title with display markup.
data . births [] . pages [] . namespace object nullable
Namespace reference.
data . births [] . pages [] . namespace . id
integer
Namespace id.
data . births [] . pages [] . namespace . text
string
Namespace name, empty for main articles.
data . births [] . pages [] . wikibaseItem
string nullable
Wikidata entity id, e.g. `Q937`.
data . births [] . pages [] . titles object
The title in its canonical, normalised and display forms.
data . births [] . pages [] . titles . canonical
string nullable
Canonical title form.
data . births [] . pages [] . titles . normalized
string nullable
Normalised title form.
data . births [] . pages [] . titles . display
string nullable
Display title form.
data . births [] . pages [] . pageId
integer nullable
Page id.
data . births [] . pages [] . thumbnail object nullable
An image URL and its natural size.
data . births [] . pages [] . thumbnail . source
string
Image URL. The file host may add its own tracking parameters.
data . births [] . pages [] . thumbnail . width
integer nullable
Width in pixels.
data . births [] . pages [] . thumbnail . height
integer nullable
Height in pixels.
data . births [] . pages [] . originalImage object nullable
An image URL and its natural size.
data . births [] . pages [] . originalImage . source
string
Image URL. The file host may add its own tracking parameters.
data . births [] . pages [] . originalImage . width
integer nullable
Width in pixels.
data . births [] . pages [] . originalImage . height
integer nullable
Height in pixels.
data . births [] . pages [] . lang
string nullable
Edition code.
data . births [] . pages [] . dir
string nullable
Writing direction of the edition.
data . births [] . pages [] . revision
string nullable
Latest revision id.
data . births [] . pages [] . tid
string nullable
Opaque page state marker.
data . births [] . pages [] . timestamp
string nullable
Latest revision time, ISO 8601.
data . births [] . pages [] . description
string nullable
Short description.
data . births [] . pages [] . descriptionSource
string nullable
Where the description comes from.
one of: local, central, null
data . births [] . pages [] . contentUrls
object
Desktop and mobile URLs for the page and its actions.
data . births [] . pages [] . extract
string nullable
Plain-text lead.
data . births [] . pages [] . extractHtml
string nullable
Lead as HTML.
data . births [] . pages [] . normalizedTitle
string nullable
Title without underscores.
The event, birth, death, holiday or news text.
data . deaths [] . year
integer nullable
Year, when the entry has one.
data . deaths [] . pages [] . type
string nullable
Page kind, e.g. `standard`, `disambiguation`, `no-extract` or `mainpage`.
data . deaths [] . pages [] . title
string
Title with underscores.
data . deaths [] . pages [] . displayTitle
string nullable
Title with display markup.
data . deaths [] . pages [] . namespace object nullable
Namespace reference.
data . deaths [] . pages [] . namespace . id
integer
Namespace id.
data . deaths [] . pages [] . namespace . text
string
Namespace name, empty for main articles.
data . deaths [] . pages [] . wikibaseItem
string nullable
Wikidata entity id, e.g. `Q937`.
data . deaths [] . pages [] . titles object
The title in its canonical, normalised and display forms.
data . deaths [] . pages [] . titles . canonical
string nullable
Canonical title form.
data . deaths [] . pages [] . titles . normalized
string nullable
Normalised title form.
data . deaths [] . pages [] . titles . display
string nullable
Display title form.
data . deaths [] . pages [] . pageId
integer nullable
Page id.
data . deaths [] . pages [] . thumbnail object nullable
An image URL and its natural size.
data . deaths [] . pages [] . thumbnail . source
string
Image URL. The file host may add its own tracking parameters.
data . deaths [] . pages [] . thumbnail . width
integer nullable
Width in pixels.
data . deaths [] . pages [] . thumbnail . height
integer nullable
Height in pixels.
data . deaths [] . pages [] . originalImage object nullable
An image URL and its natural size.
data . deaths [] . pages [] . originalImage . source
string
Image URL. The file host may add its own tracking parameters.
data . deaths [] . pages [] . originalImage . width
integer nullable
Width in pixels.
data . deaths [] . pages [] . originalImage . height
integer nullable
Height in pixels.
data . deaths [] . pages [] . lang
string nullable
Edition code.
data . deaths [] . pages [] . dir
string nullable
Writing direction of the edition.
data . deaths [] . pages [] . revision
string nullable
Latest revision id.
data . deaths [] . pages [] . tid
string nullable
Opaque page state marker.
data . deaths [] . pages [] . timestamp
string nullable
Latest revision time, ISO 8601.
data . deaths [] . pages [] . description
string nullable
Short description.
data . deaths [] . pages [] . descriptionSource
string nullable
Where the description comes from.
one of: local, central, null
data . deaths [] . pages [] . contentUrls
object
Desktop and mobile URLs for the page and its actions.
data . deaths [] . pages [] . extract
string nullable
Plain-text lead.
data . deaths [] . pages [] . extractHtml
string nullable
Lead as HTML.
data . deaths [] . pages [] . normalizedTitle
string nullable
Title without underscores.
The event, birth, death, holiday or news text.
data . events [] . year
integer nullable
Year, when the entry has one.
data . events [] . pages [] . type
string nullable
Page kind, e.g. `standard`, `disambiguation`, `no-extract` or `mainpage`.
data . events [] . pages [] . title
string
Title with underscores.
data . events [] . pages [] . displayTitle
string nullable
Title with display markup.
data . events [] . pages [] . namespace object nullable
Namespace reference.
data . events [] . pages [] . namespace . id
integer
Namespace id.
data . events [] . pages [] . namespace . text
string
Namespace name, empty for main articles.
data . events [] . pages [] . wikibaseItem
string nullable
Wikidata entity id, e.g. `Q937`.
data . events [] . pages [] . titles object
The title in its canonical, normalised and display forms.
data . events [] . pages [] . titles . canonical
string nullable
Canonical title form.
data . events [] . pages [] . titles . normalized
string nullable
Normalised title form.
data . events [] . pages [] . titles . display
string nullable
Display title form.
data . events [] . pages [] . pageId
integer nullable
Page id.
data . events [] . pages [] . thumbnail object nullable
An image URL and its natural size.
data . events [] . pages [] . thumbnail . source
string
Image URL. The file host may add its own tracking parameters.
data . events [] . pages [] . thumbnail . width
integer nullable
Width in pixels.
data . events [] . pages [] . thumbnail . height
integer nullable
Height in pixels.
data . events [] . pages [] . originalImage object nullable
An image URL and its natural size.
data . events [] . pages [] . originalImage . source
string
Image URL. The file host may add its own tracking parameters.
data . events [] . pages [] . originalImage . width
integer nullable
Width in pixels.
data . events [] . pages [] . originalImage . height
integer nullable
Height in pixels.
data . events [] . pages [] . lang
string nullable
Edition code.
data . events [] . pages [] . dir
string nullable
Writing direction of the edition.
data . events [] . pages [] . revision
string nullable
Latest revision id.
data . events [] . pages [] . tid
string nullable
Opaque page state marker.
data . events [] . pages [] . timestamp
string nullable
Latest revision time, ISO 8601.
data . events [] . pages [] . description
string nullable
Short description.
data . events [] . pages [] . descriptionSource
string nullable
Where the description comes from.
one of: local, central, null
data . events [] . pages [] . contentUrls
object
Desktop and mobile URLs for the page and its actions.
data . events [] . pages [] . extract
string nullable
Plain-text lead.
data . events [] . pages [] . extractHtml
string nullable
Lead as HTML.
data . events [] . pages [] . normalizedTitle
string nullable
Title without underscores.
Holidays, when requested.
data . holidays [] . text
string
The event, birth, death, holiday or news text.
data . holidays [] . year
integer nullable
Year, when the entry has one.
data . holidays [] . pages [] . type
string nullable
Page kind, e.g. `standard`, `disambiguation`, `no-extract` or `mainpage`.
data . holidays [] . pages [] . title
string
Title with underscores.
data . holidays [] . pages [] . displayTitle
string nullable
Title with display markup.
data . holidays [] . pages [] . namespace object nullable
Namespace reference.
data . holidays [] . pages [] . namespace . id
integer
Namespace id.
data . holidays [] . pages [] . namespace . text
string
Namespace name, empty for main articles.
data . holidays [] . pages [] . wikibaseItem
string nullable
Wikidata entity id, e.g. `Q937`.
data . holidays [] . pages [] . titles object
The title in its canonical, normalised and display forms.
data . holidays [] . pages [] . titles . canonical
string nullable
Canonical title form.
data . holidays [] . pages [] . titles . normalized
string nullable
Normalised title form.
data . holidays [] . pages [] . titles . display
string nullable
Display title form.
data . holidays [] . pages [] . pageId
integer nullable
Page id.
data . holidays [] . pages [] . thumbnail object nullable
An image URL and its natural size.
data . holidays [] . pages [] . thumbnail . source
string
Image URL. The file host may add its own tracking parameters.
data . holidays [] . pages [] . thumbnail . width
integer nullable
Width in pixels.
data . holidays [] . pages [] . thumbnail . height
integer nullable
Height in pixels.
data . holidays [] . pages [] . originalImage object nullable
An image URL and its natural size.
data . holidays [] . pages [] . originalImage . source
string
Image URL. The file host may add its own tracking parameters.
data . holidays [] . pages [] . originalImage . width
integer nullable
Width in pixels.
data . holidays [] . pages [] . originalImage . height
integer nullable
Height in pixels.
data . holidays [] . pages [] . lang
string nullable
Edition code.
data . holidays [] . pages [] . dir
string nullable
Writing direction of the edition.
data . holidays [] . pages [] . revision
string nullable
Latest revision id.
data . holidays [] . pages [] . tid
string nullable
Opaque page state marker.
data . holidays [] . pages [] . timestamp
string nullable
Latest revision time, ISO 8601.
data . holidays [] . pages [] . description
string nullable
Short description.
data . holidays [] . pages [] . descriptionSource
string nullable
Where the description comes from.
one of: local, central, null
data . holidays [] . pages [] . contentUrls
object
Desktop and mobile URLs for the page and its actions.
data . holidays [] . pages [] . extract
string nullable
Plain-text lead.
data . holidays [] . pages [] . extractHtml
string nullable
Lead as HTML.
data . holidays [] . pages [] . normalizedTitle
string nullable
Title without underscores.
Whether the answer is a valid empty result rather than missing.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
meta . creditsCharged
integer
Credits charged for this request.
Public API version that served the response.